# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/adi,adin1110.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ADI ADIN1110 MAC-PHY

maintainers:
  - Alexandru Tachici <alexandru.tachici@analog.com>

description: |
  The ADIN1110 is a low power single port 10BASE-T1L MAC-
  PHY designed for industrial Ethernet applications. It integrates
  an Ethernet PHY core with a MAC and all the associated analog
  circuitry, input and output clock buffering.

  The ADIN2111 is a low power, low complexity, two-Ethernet ports
  switch with integrated 10BASE-T1L PHYs and one serial peripheral
  interface (SPI) port. The device is designed for industrial Ethernet
  applications using low power constrained nodes and is compliant
  with the IEEE 802.3cg-2019 Ethernet standard for long reach
  10 Mbps single pair Ethernet (SPE).

  The device has a 4-wire SPI interface for communication
  between the MAC and host processor.

allOf:
  - $ref: ethernet-controller.yaml#
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

properties:
  compatible:
    enum:
      - adi,adin1110
      - adi,adin2111

  reg:
    maxItems: 1

  adi,spi-crc:
    description: |
      Enable CRC8 checks on SPI read/writes.
    type: boolean

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    spi {

        #address-cells = <1>;
        #size-cells = <0>;

        ethernet@0 {
            compatible = "adi,adin2111";
            reg = <0>;
            spi-max-frequency = <24500000>;

            adi,spi-crc;

            interrupt-parent = <&gpio>;
            interrupts = <25 IRQ_TYPE_LEVEL_LOW>;

            local-mac-address = [ 00 11 22 33 44 55 ];
        };
    };
